# ApplicationFramework
TKPShape
PGeom

# PGeom_BezierSurface Class Reference

`#include <PGeom_BezierSurface.hxx>`

Inheritance diagram for PGeom_BezierSurface:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom_BezierSurface ()
| Creates a BezierSurface with default values. .
Standard_EXPORT | PGeom_BezierSurface (const Standard_Boolean aURational, const Standard_Boolean aVRational, const Handle(PColgp_HArray2OfPnt)&aPoles, const Handle(PColStd_HArray2OfReal)&aWeights)
| Creates a BezierSurface with these values. .
Standard_EXPORT void | Poles (const Handle(PColgp_HArray2OfPnt)&aPoles)
| Set the field poles with <apoles>. .
Standard_EXPORT Handle_PColgp_HArray2OfPnt | Poles () const
| Returns the value of the field poles. .
Standard_EXPORT void | Weights (const Handle(PColStd_HArray2OfReal)&aWeights)
| Set the value of the field weights with <aweights>. .
Standard_EXPORT Handle_PColStd_HArray2OfReal | Weights () const
| Returns the value of the field weights. .
Standard_EXPORT void | URational (const Standard_Boolean aURational)
| Set the value of the field uRational with <aurational>. .
Standard_EXPORT Standard_Boolean | URational () const
| Returns the value of the field uRational. .
Standard_EXPORT void | VRational (const Standard_Boolean aVRational)
| Set the value of the field vRational with <avrational>. .
Standard_EXPORT Standard_Boolean | VRational () const
| Returns the value of the field vRational. .
| PGeom_BezierSurface (const Storage_stCONSTclCOM &a)
Standard_Boolean | _CSFDB_GetPGeom_BezierSurfaceuRational () const
void | _CSFDB_SetPGeom_BezierSurfaceuRational (const Standard_Boolean p)
Standard_Boolean | _CSFDB_GetPGeom_BezierSurfacevRational () const
void | _CSFDB_SetPGeom_BezierSurfacevRational (const Standard_Boolean p)
| Handle (PColgp_HArray2OfPnt) _CSFDB_GetPGeom_BezierSurfacepoles() const
void | _CSFDB_SetPGeom_BezierSurfacepoles (const Handle(PColgp_HArray2OfPnt)&p)
| Handle (PColStd_HArray2OfReal) _CSFDB_GetPGeom_BezierSurfaceweights() const
void | _CSFDB_SetPGeom_BezierSurfaceweights (const Handle(PColStd_HArray2OfReal)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Boolean | uRational
Standard_Boolean | vRational
Handle_PColgp_HArray2OfPnt | poles
Handle_PColStd_HArray2OfReal | weights

## Constructor & Destructor Documentation

Standard_EXPORT PGeom_BezierSurface::PGeom_BezierSurface | ( |  | ) |

Standard_EXPORT PGeom_BezierSurface::PGeom_BezierSurface | ( | const Standard_Boolean | aURational,
|  | const Standard_Boolean | aVRational,
|  | const Handle(PColgp_HArray2OfPnt)& | aPoles,
|  | const Handle(PColStd_HArray2OfReal)& | aWeights
| ) |

PGeom_BezierSurface::PGeom_BezierSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Boolean PGeom_BezierSurface::_CSFDB_GetPGeom_BezierSurfaceuRational | ( |  | ) | const`[inline]`

Standard_Boolean PGeom_BezierSurface::_CSFDB_GetPGeom_BezierSurfacevRational | ( |  | ) | const`[inline]`

void PGeom_BezierSurface::_CSFDB_SetPGeom_BezierSurfacepoles | ( | const Handle(PColgp_HArray2OfPnt)& | p | ) | `[inline]`

void PGeom_BezierSurface::_CSFDB_SetPGeom_BezierSurfaceuRational | ( | const Standard_Boolean | p | ) | `[inline]`

void PGeom_BezierSurface::_CSFDB_SetPGeom_BezierSurfacevRational | ( | const Standard_Boolean | p | ) | `[inline]`

void PGeom_BezierSurface::_CSFDB_SetPGeom_BezierSurfaceweights | ( | const Handle(PColStd_HArray2OfReal)& | p | ) | `[inline]`

Standard_EXPORT const PGeom_BezierSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_BoundedSurface.

PGeom_BezierSurface::Handle | ( | PColStd_HArray2OfReal |  | ) | const`[inline]`

PGeom_BezierSurface::Handle | ( | PColgp_HArray2OfPnt |  | ) | const`[inline]`

Standard_EXPORT Handle_PColgp_HArray2OfPnt PGeom_BezierSurface::Poles | ( |  | ) | const

Standard_EXPORT void PGeom_BezierSurface::Poles | ( | const Handle(PColgp_HArray2OfPnt)& | aPoles | ) |

Standard_EXPORT Standard_Boolean PGeom_BezierSurface::URational | ( |  | ) | const

Standard_EXPORT void PGeom_BezierSurface::URational | ( | const Standard_Boolean | aURational | ) |

Standard_EXPORT Standard_Boolean PGeom_BezierSurface::VRational | ( |  | ) | const

Standard_EXPORT void PGeom_BezierSurface::VRational | ( | const Standard_Boolean | aVRational | ) |

Standard_EXPORT Handle_PColStd_HArray2OfReal PGeom_BezierSurface::Weights | ( |  | ) | const

Standard_EXPORT void PGeom_BezierSurface::Weights | ( | const Handle(PColStd_HArray2OfReal)& | aWeights | ) |

## Field Documentation

Handle_PColgp_HArray2OfPnt PGeom_BezierSurface::poles `[private]`

Standard_Boolean PGeom_BezierSurface::uRational `[private]`

Standard_Boolean PGeom_BezierSurface::vRational `[private]`

Handle_PColStd_HArray2OfReal PGeom_BezierSurface::weights `[private]`

The documentation for this class was generated from the following file:

- PGeom_BezierSurface.hxx